<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">


<!--
@author pedro.garcia
@description página principal de cu de comisionar trámites
    Tiene 3 tabs. El primero muestra los trámites que están sin comisionar; el segundo muestra las
    comisiones que se han creado y tienen trámites asociados (pero para las cuales no se ha generado
    memorando de creación(, y se da la oportunidad de modificarlas. El tercero da muetra las mismas
    comisiones del segundo, pero la única acción posible es generar el memorando de creación para estas
@cu CU-CO-A-04
@version 2.0

N:
lo que se muestra en el segundo tab es igual a lo que se muestra en la modal, pero no se pudo hacer
un solo código para ambas por los ids (repetidos) y porque quedarían forms dentro de forms
< ui : include src="comisionesPorGenerar.xhtml" id="rtModal2"/>


OJO:
el 'args' que se usa en las funciones js para manejo de apertura o cierre de ventanas NO ES TRANSITIVO
entre ventanas; es decir, que si A abre B y B abre C y alguna acción de mb para C define un 'error',
ese args.error no estará disponible para algún oncomplete (u otro evento) en B

Por ejemplo: aquí quería que al cancelar la creación de una nueva comisión (C) no se cerrara la ventana
    que se abre primero al querer comisionar un trámite (B), pero sí se cerrara si la creación había sido
    exitosa, y que ese cierre ocasionara el cierre de la ventana que la abrió (B).
No servía preguntar por el args.error definido en el método action del botón cancelar porque ese solo
estaba disponible al terminar el action (de C), y no al querer preguntar por él en el llamado a la función
desde la ventana principal (A). Por eso en el evento de cierre de C se tiene un listener que lee del
mb una bandera cuyo valor fue definido en el action de (C) y dependiendo de eso crea un parámetro callback
'error'

modificado por javier.aponte
        - se agrega botón de ver mapa  en asignación de trámites de comisión 25-06-2013
        - se agregan eventos ajax rowselect y unrowselect en la tabla de trámites sin comisionar para 
          ver el mapa de los predios asociados al trámite 25-06-2013
        - se agrega botón del visor GIS  en el tab de modificación de comisión 25-06-2013
        - se agregan eventos ajax rowselect y unrowselect en la tabla de listado de comisiones para 
          ver el visor GIS de los predios asociados a los trámites asociados a la comisión 25-06-2013
          
@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela		  
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">.::Sistema Nacional Catastral::. .::Gestión de comisiones::.</ui:define>

    <ui:define name="content">

        <h:outputScript library="javascript" name="snc_visor_client.js"
                        target="head" />
        <h:outputStylesheet library="css" name="snc_visor_client.css" />

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <h:form id="manejoComisionesTramitesForm">

            <h:inputText id="getFocus" size="1" maxlength="1"
                         style="width: 1px;height: 1px;border: 0px;" />
            <p:focus for="getFocus" id="focus" />

            <p:panel header="Manejo de comisiones para trámites">

                <p:messages id="globalMessagesMCT" showDetail="false"
                            globalOnly="false" autoUpdate="false" />

                <p:tabView id="manejoComisionesTramitesTV" dynamic="true"
                           cache="false">
                    <p:ajax event="tabChange"
                            update=":manejoComisionesTramitesForm:globalMessagesMCT, 
                            modificarComisionesTab"
                            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide()" />

                    <p:tab title="Asignación de trámites a comisiones">
                        <p:fieldset id="manejoComisionesTramitesFS">

                            <legend> 
                                <h:outputLabel value="Trámites sin comisionar"
                                               styleClass="legendTitle" /> 
                            </legend>

                            <p:spacer height="20" width="0" />
                            <p:dataTable
                                value="#{manejoComisionesTramites.lazyTramitesPorComisionar}"
                                var="currentTramite" id="dtTPC" rowKey="#{currentTramite.id}"
                                paginator="true" rows="10"
                                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink}
                                {PageLinks} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                                selectionMode="multiple"
                                selection="#{manejoComisionesTramites.selectedTramites}"
                                emptyMessage="No se encontraron trámites" widgetVar="dtTPCWV">

                                <p:ajax event="rowSelect" process="@this"
                                        listener="#{manejoComisionesTramites.obtenerPrediosParaZoomSelectListener}"
                                        update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:dtTPC,
                                        :manejoComisionesTramitesForm:manejoComisionesTramitesTV:zoomAreaB"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />

                                <p:ajax event="rowUnselect" process="@this"
                                        listener="#{manejoComisionesTramites.eliminarPrediosParaZoomUnselectListener}"
                                        update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:dtTPC,
                                        :manejoComisionesTramitesForm:manejoComisionesTramitesTV:zoomAreaB"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />

                                <p:column
                                    sortBy="#{currentTramite.numeroRadicacion}"
                                    filterBy="#{currentTramite.numeroRadicacion}"
                                    filterMatchMode="contains"
                                    style="width: 130px;">
                                    <f:facet name="header">
                                        Número de <br/> radicación
                                    </f:facet>
                                    <p:commandLink value="#{currentTramite.numeroRadicacion}"
                                                   title="Ver detalles del trámite" 
                                                   styleClass="commandLinkStyleInTable"
                                                   onstart="statusDialog2.show();"
                                                   oncomplete="detalleTramiteEjecutarWV.show(); statusDialog2.hide();"
                                                   update=":detalleTramiteEjecutarForm">
                                        <f:setPropertyActionListener value="#{currentTramite}"
                                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                                    </p:commandLink>

                                </p:column>

                                <p:column 
                                    sortBy="#{currentTramite.fechaRadicacion}"
                                    style="width: 120px;">
                                    <f:facet name="header">
                                        Fecha de <br/> radicación
                                    </f:facet>
                                    <h:outputText value="#{currentTramite.fechaRadicacion}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertDateTime
                                            pattern="#{general.formatoFechaUsuario}" />
                                    </h:outputText>
                                </p:column>

                                <p:column headerText="Derecho Petición/Tutela" >
                                    <p:commandLink styleClass="commandLinkStyleInTable"
                                                   oncomplete="detalleSolicitudWV.show();"
                                                   update=":detalleSolicitudEjecutarForm" process="@this">
                                        <h:outputText value="#{currentTramite.formaPeticionTramite}"
                                                      />
                                        <f:setPropertyActionListener
                                            value="#{currentTramite.solicitud}"
                                            target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                                    </p:commandLink>
                                </p:column>

                                <p:column headerText="Tipo de trámite &nbsp;&nbsp;&nbsp;&nbsp;"	
                                          sortBy="#{currentTramite.tipoTramiteCadenaCompleto}">
                                    <h:outputText
                                        value="#{currentTramite.tipoTramiteCadenaCompleto}" 
                                        styleClass="outputTextStyleInTable"/>
                                </p:column>


                                <p:column headerText="Ejecutor" 
                                          rendered="#{!manejoComisionesTramites.isSubprocesoDepuracion}"
                                          filterBy="#{currentTramite.nombreFuncionarioEjecutor}"
                                          sortBy="#{currentTramite.nombreFuncionarioEjecutor}">
                                    <h:outputText
                                        value="#{currentTramite.nombreFuncionarioEjecutor}" 
                                        styleClass="outputTextStyleInTable"/>
                                </p:column>
                                <p:column headerText="Topógrafo / Ejecutor" 
                                          rendered="#{manejoComisionesTramites.isSubprocesoDepuracion}" >
                                    <h:outputText
                                        value="#{currentTramite.nombreEjecutorDepuracion}" 
                                        styleClass="outputTextStyleInTable"/>
                                </p:column>


                                <p:column headerText="Departamento">
                                    <h:outputText
                                        value="#{currentTramite.predio.departamento.nombre}" 
                                        styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Municipio">
                                    <h:outputText value="#{currentTramite.predio.municipio.nombre}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Núm. predial">

                                    <p:commandLink rendered="#{!currentTramite.segundaEnglobe}"
                                                   value="#{currentTramite.predio.numeroPredial}"
                                                   title="Ver detalles del predio"
                                                   styleClass="commandLinkStyleInTable"
                                                   action="#{consultaPredio.cleanAllMB}"
                                                   onstart="statusDialog2.show();"
                                                   oncomplete="detallesPredioWV.show(); statusDialog2.hide();"
                                                   update=":dpCC:detallesPredioTV" immediate="true">
                                        <f:setPropertyActionListener value="#{currentTramite.predio}"
                                                                     target="#{consultaPredio.selectedPredio1}" />
                                    </p:commandLink>
                                    <p:commandLink rendered="#{currentTramite.segundaEnglobe}"
                                                   value="Ver predios" title="Ver detalles de los predios"
                                                   styleClass="commandLinkStyleInTable"
                                                   action="#{consultaPredio.consultarPrediosDelTramiteParaDetalles}"
                                                   onstart="statusDialog2.show();"
                                                   oncomplete="prediosTramiteWV.show(); statusDialog2.hide();"
                                                   update=":prediosTramitePG" immediate="true">
                                        <f:setPropertyActionListener value="#{currentTramite.id}"
                                                                     target="#{consultaPredio.idTramiteDePredios}" />
                                    </p:commandLink>

                                </p:column>

                                <p:column>
                                    <f:facet name="header">
                                        Número de <br/> comisiones
                                    </f:facet>
                                    <p:commandLink
                                        value="_#{currentTramite.numeroComisionesHaEstado}_"
                                        rendered="#{currentTramite.numeroComisionesHaEstado gt 0}"
                                        title="Comisiones asociadas al trámite"
                                        styleClass="commandLinkStyleInTable"
                                        action="#{tramitesDeComision.consultarComisionesTramiteHaEstado}"
                                        oncomplete="comisionesTramiteWV.show();"
                                        update=":comisionesTramiteForm">
                                        <f:setPropertyActionListener 
                                            value="#{currentTramite}"
                                            target="#{tramitesDeComision.selectedTramiteComisionesTramite}" />
                                    </p:commandLink>
                                    <h:outputText value="0" 
                                                  rendered="#{currentTramite.numeroComisionesHaEstado le 0}"/>
                                </p:column>


                            </p:dataTable>

                            <p:spacer height="30" width="1" />
                            <h:panelGrid width="20%" columns="2">
                                <p:commandButton value="Comisionar"
                                                 action="#{manejoComisionesTramites.comisionarTramites}"
                                                 icon="ui-icon-person"
                                                 onstart="statusDialog2.show();"
                                                 onclick="if (dtTPCWV.selection == '') {
                                                             alert('Debe seleccionar al menos un trámite para comisionar!');
                                                             return false;
                                                         }"
                                                 oncomplete="handleCompleteSIC(xhr, status, args, comisionTramitesDialogWV, true);
                                                 statusDialog2.hide();"
                                                 update=":comisionesPGrid, :manejoComisionesTramitesForm:globalMessagesMCT" />

                                <p:commandButton value="Ver mapa" id="zoomAreaB"
                                                 icon="ui-icon-zoomin" ajax="true"
                                                 oncomplete="cargarMapaZoomToFeature('#{manejoComisionesTramites.applicationClientName}',
                                                 '#{manejoComisionesTramites.tokenParam}',
                                                 '#{manejoComisionesTramites.moduleLayer}',
                                                 '#{manejoComisionesTramites.moduleTools}',
                                                 '#{manejoComisionesTramites.prediosParaZoom}');" />
                            </h:panelGrid>

                        </p:fieldset>

                    </p:tab>


                    <p:tab title="Modificación de comisión" id="modificarComisionesTab"
                           titletip="Listado de comisiones que se pueden modificar">
                        <p:fieldset>

                            <legend> 
                                <h:outputLabel value="Listado de comisiones"
                                               styleClass="legendTitle" /> 
                            </legend>

                            <p:spacer height="20" width="0" />

                            <p:dataTable id="resultsComisionesModificar"
                                         value="#{manejoComisionesTramites.lazyComisionesPorGenerarMemo}"
                                         var="currentComision" rowKey="#{currentComision.id}"
                                         paginator="true" rows="5"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                         selectionMode="single"
                                         selection="#{manejoComisionesTramites.selectedComision}"
                                         emptyMessage="No se encontraron comisiones"
                                         widgetVar="resultsComisionesModificarWV">

                                <p:ajax event="rowSelect"
                                        listener="#{manejoComisionesTramites.cargarPrediosVisorSelectListener}"                            
                                        update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:resultsComisionesModificar,
                                        :manejoComisionesTramitesForm:manejoComisionesTramitesTV:verMapa" 
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />

                                <p:ajax event="rowUnselect"
                                        listener="#{manejoComisionesTramites.cargarPrediosVisorUnSelectListener}"
                                        update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:resultsComisionesModificar,
                                        :manejoComisionesTramitesForm:manejoComisionesTramitesTV:verMapa"
                                        onstart="statusDialog2.show();"
                                        oncomplete="statusDialog2.hide();" />

                                <p:column headerText="Número de comisión" filterBy="#{currentComision.numero}">
                                    <h:outputText value="#{currentComision.numero}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Municipio (depto)">
                                    <h:outputText value="#{currentComision.municipio}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column 
                                    filterBy="#{currentComision.nombreFuncionarioEjecutor}">
                                    <f:facet name="header">
                                        <h:outputText value="Topógrafo / Ejecutor"
                                                      rendered="#{manejoComisionesTramites.isSubprocesoDepuracion}" />
                                        <h:outputText value="Ejecutor"
                                                      rendered="#{!manejoComisionesTramites.isSubprocesoDepuracion}" />
                                    </f:facet>
                                    <h:outputText
                                        value="#{currentComision.nombreFuncionarioEjecutor}" 
                                        styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Conductor">
                                    <h:outputText value="#{currentComision.conductor}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Vehículo">
                                    <h:outputText value="#{currentComision.placaVehiculo}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Fecha de comisión">
                                    <h:outputText value="#{currentComision.fechaInicio}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                                    </h:outputText>
                                </p:column>

                                <p:column headerText="Duración total">
                                    <h:outputText value="#{currentComision.duracionTotal}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Trámites">
                                    <p:commandLink styleClass="commandLinkStyle"
                                                   value="&nbsp;#{currentComision.tramites}&nbsp;"
                                                   action="#{tramitesDeComision.consultarTramitesComision}"
                                                   title="Ver trámites asociados a la comisión" immediate="true"
                                                   ajax="true"
                                                   onclick="tramitesComisionModal.show();
                                                           statusDialog2.show();"
                                                   update=":tramitesComisionForm"
                                                   oncomplete="statusDialog2.hide();">
                                        <f:setPropertyActionListener
                                            target="#{tramitesDeComision.selectedVComision}"
                                            value="#{currentComision}" />
                                        <f:setPropertyActionListener
                                            target="#{tramitesDeComision.retirarTramiteButtonRendered}"
                                            value="true" />
                                        <f:setPropertyActionListener
                                            target="#{tramitesDeComision.loggedInUser}"
                                            value="#{manejoComisionesTramites.loggedInUser}" />
                                    </p:commandLink>
                                </p:column>

                            </p:dataTable>

                            <p:spacer height="30" width="1" />
                            <h:panelGrid width="40%" columns="2">
                                <p:commandButton value="Modificar datos de comisión"
                                                 process="resultsComisionesModificar" icon="ui-icon-pencil"
                                                 onstart="statusDialog2.show();"
                                                 onclick="if (resultsComisionesModificarWV.selection.length === 0) {
                                                             alert('Debe seleccionar una comisión para modificar');
                                                             return false;
                                                         }"
                                                 oncomplete="modificacionComisionModal.show(); statusDialog2.hide();"
                                                 update=":manejoComisionesTramitesForm:globalMessagesMCT, :detalleComisionForm" />

                                <p:commandButton value="Visor GIS" id="verMapa"
                                                 icon="ui-icon-image" immediate="true"
                                                 oncomplete="cargarMapaZoomToFeature('#{manejoComisionesTramites.applicationClientName}',
                                                 '#{manejoComisionesTramites.tokenParam}',
                                                 '#{manejoComisionesTramites.moduleLayer}',
                                                 '#{manejoComisionesTramites.moduleTools}', 
                                                 '#{manejoComisionesTramites.prediosParaZoom}');" update=":manejoComisionesTramitesForm"/>

                                <p:spacer width="20" height="0" />
                            </h:panelGrid>
                        </p:fieldset>
                    </p:tab>


                    <p:tab title="Comisiones pendientes por generar memorando"
                           rendered="true">
                        <p:fieldset>

                            <legend> <h:outputLabel value="Listado de comisiones"
                                                    styleClass="legendTitle" /> </legend>

                            <p:spacer height="20" width="1" />
                            <p:dataTable id="resultsComisGenerMemoDT"
                                         widgetVar="resultsCGMWV"
                                         value="#{manejoComisionesTramites.lazyComisionesPorGenerarMemo}"
                                         var="currentComision" rowKey="#{currentComision.id}"
                                         paginator="true" rows="10"
                                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                         paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                                         selectionMode="single"
                                         selection="#{manejoComisionesTramites.selectedComisionParaMemo}"
                                         emptyMessage="No se encontraron comisiones">

                                <p:column headerText="Número de comisión" filterBy="#{currentComision.numero}">
                                    <h:outputText value="#{currentComision.numero}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Municipio (depto)">
                                    <h:outputText value="#{currentComision.municipio}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>


                                <p:column 
                                    filterBy="#{currentComision.nombreFuncionarioEjecutor}">
                                    <f:facet name="header">
                                        <h:outputText value="Topógrafo / Ejecutor"
                                                      rendered="#{manejoComisionesTramites.isSubprocesoDepuracion}" />
                                        <h:outputText value="Ejecutor"
                                                      rendered="#{!manejoComisionesTramites.isSubprocesoDepuracion}" />
                                    </f:facet>
                                    <h:outputText
                                        value="#{currentComision.nombreFuncionarioEjecutor}" 
                                        styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Conductor">
                                    <h:outputText value="#{currentComision.conductor}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Vehículo">
                                    <h:outputText value="#{currentComision.placaVehiculo}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Fecha de comisión">
                                    <h:outputText value="#{currentComision.fechaInicio}"
                                                  styleClass="outputTextStyleInTable">
                                        <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
                                    </h:outputText>
                                </p:column>

                                <p:column headerText="Duración total">
                                    <h:outputText value="#{currentComision.duracionTotal}" 
                                                  styleClass="outputTextStyleInTable"/>
                                </p:column>

                                <p:column headerText="Trámites">
                                    <p:commandLink styleClass="commandLinkStyleInTable"
                                                   value="&nbsp;#{currentComision.tramites}&nbsp;"
                                                   action="#{tramitesDeComision.consultarTramitesComision}"
                                                   title="Ver trámites asociados a la comisión" ajax="true"
                                                   immediate="true"
                                                   onclick="tramitesComisionModal.show();
                                                           statusDialog2.show();"
                                                   update=":tramitesComisionForm"
                                                   oncomplete="statusDialog2.hide();">
                                        <f:setPropertyActionListener
                                            target="#{tramitesDeComision.selectedVComision}"
                                            value="#{currentComision}" />
                                        <f:setPropertyActionListener
                                            target="#{tramitesDeComision.retirarTramiteButtonRendered}"
                                            value="false" />
                                        <f:setPropertyActionListener
                                            target="#{tramitesDeComision.loggedInUser}"
                                            value="#{manejoComisionesTramites.loggedInUser}" />

                                    </p:commandLink>
                                </p:column>

                            </p:dataTable>

                            <p:spacer height="30" width="1" />
                            <h:panelGrid columns="2" width="50%">

                                <p:commandButton value="Avanzar proceso"
                                                 id="finalizarBtn"
                                                 icon="ui-icon-seek-next" title="Finalizar y avanzar el proceso"
                                                 label="Avanzar el proceso a aprobar la comisión"
                                                 onstart="statusDialog2.show();"
                                                 process="@this,resultsComisGenerMemoDT"
                                                 oncomplete="statusDialog2.hide();visorReporteWV.show();"
                                                 update=":viewReport:vistaMemoForm"
                                                 onclick="if (resultsCGMWV.selection.length === 0) {
                                                             alert('Debe seleccionar una comisión!');
                                                             return false;
                                                         }"
                                                 action="#{manejoComisionesTramites.avanzarProcesoAAprobarComision}" />

                                <p:commandButton 
                                    id="generarmMemoBtn" value="Generar memorando" icon="ui-icon-script"
                                    process="@this,resultsComisGenerMemoDT" 
                                    action="#{manejoComisionesTramites.generarMemorandoComision}"
                                    oncomplete="visorReporteWV.show();"
                                    update=":viewReport:vistaMemoForm"
                                    onclick="if (resultsCGMWV.selection.length === 0) {
                                                alert('Debe seleccionar una comisión!');
                                                return false;
                                            }"/>
                                <p:blockUI block=":manejoComisionesTramitesForm" trigger="generarmMemoBtn" >
                                    Generando memorando de comisión
                                    <p:graphicImage value="/images/loading.gif"/>
                                </p:blockUI>
                                <p:blockUI block=":manejoComisionesTramitesForm" trigger="finalizarBtn" >
                                    Generando memorando de la comisión y avanzando el proceso de los trámites relacionados
                                    <p:graphicImage value="/images/loading.gif"/>
                                </p:blockUI>


                            </h:panelGrid>
                        </p:fieldset>
                    </p:tab>

                </p:tabView>


                <p:separator style="width:925px;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" update="msgsCIS"
                                     icon="ui-icon-circle-close" immediate="true" process="@this"
                                     action="#{manejoComisionesTramites.cerrarVentanaCU}" ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>

            </p:panel>

        </h:form>


        <!--  ..................       Dialogs    ......................  -->

        <p:dialog header="Comisionar trámites"
                  widgetVar="comisionTramitesDialogWV" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="500"
                  width="900">
            <ui:include src="asignacionComisionTramites.xhtml" id="ctModal1" />
            <p:ajax event="close"
                    listener="#{manejoComisionesTramites.modalsCloseListener}"
                    update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:dtTPC" />
        </p:dialog>


        <p:dialog header="Trámites asociados a la comisión"
                  widgetVar="tramitesComisionModal" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="500"
                  width="900">
            <p:ajax event="close"
                    update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:resultsComisionesModificar" />
            <ui:include src="tramitesAsociadosComision.xhtml" id="ctModal2">
                <ui:param name="managedBeanParam"
                          value="#{manejoComisionesTramites}" />
                <ui:param name="thisWVNameParam" 
                          value="tramitesComisionModal" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Creación de nueva comisión"
                  widgetVar="nuevaComisionModal" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="500"
                  width="900">
            <p:ajax event="close"
                    update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:dtTPC"
                    listener="#{manejoComisionesTramites.cierreVentanaNuevaComisionListener}"
                    oncomplete="handleCompleteSIC(xhr, status, args, comisionTramitesDialogWV, false);" />
            <ui:include src="creacionComisionParaTramites.xhtml" id="ctModal3" />
        </p:dialog>


        <p:dialog header="Programación de comisiones"
                  widgetVar="scheduleComisionesWV" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="500"
                  width="650">
            <ui:include src="scheduleComisiones.xhtml" id="ctModal5" />
        </p:dialog>


        <ui:remove>  
            Se deja esto solo para recordar fácilmento cómo usar la funcionalidad de ajuste de tiempos
            (N: lo que está dentro del remove no se muestra ni carga los mb)

            <p:dialog header="Ajuste de tiempos de comisión"
                      widgetVar="ajusteTiemposNuevaComisionModalWV" modal="true"
                      dynamic="true" appendToBody="true" resizable="true" position="center"
                      height="400" width="600">
                <ui:include src="ajustesTiemposComision.xhtml" id="ctModal6">
                    <ui:param name="manejoComisionesTramitesComisionParam"
                              value="#{manejoComisionesTramites.nuevaComision}" />
                    <ui:param name="idFormaParam"
                              value="ajusteTiemposComisionNuevaForm" />
                    <ui:param name="ajusteTiempoWVParam"
                              value="ajusteTiemposNuevaComisionModalWV" />
                    <ui:param name="esNuevaParam" value="true" />
                    <ui:param name="updateComponentsParam" 
                              value=":detalleNuevaComisionForm:detalleNuevaComisionMsgs, :detalleNuevaComisionForm:duracionTotalComisionNuevaOT" />
                </ui:include>
            </p:dialog>

            <p:dialog header="Ajuste de tiempos de comisión"
                      widgetVar="ajusteTiemposComisionModalWV" modal="true" dynamic="true"
                      appendToBody="true" resizable="true" position="center" height="300"
                      width="500" >
                <ui:include src="ajustesTiemposComision.xhtml" id="ctModal7">
                    <ui:param name="manejoComisionesTramitesComisionParam"
                              value="#{manejoComisionesTramites.selectedComision}" />
                    <ui:param name="idFormaParam" value="ajusteTiemposComisionForm" />
                    <ui:param name="ajusteTiempoWVParam"
                              value="ajusteTiemposComisionModalWV" />
                    <ui:param name="esNuevaParam" value="false" />
                    <ui:param name="updateComponentsParam" 
                              value=":detalleComisionForm:msgsDetalleComision, :detalleComisionForm:duracionTotalComisionOT" />
                </ui:include>
            </p:dialog>
        </ui:remove>

        <p:dialog header="Modificación de comisión"
                  widgetVar="modificacionComisionModal" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="600"
                  width="900">
            <p:ajax event="close" 
                    onstart="statusDialog2.show();"
                    listener="#{manejoComisionesTramites.cerrarVentanaModificacionComisionListener}"
                    update=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:dtTPC,
                    :manejoComisionesTramitesForm:manejoComisionesTramitesTV:resultsComisionesModificar"
                    oncomplete="statusDialog2.hide();" />
            <ui:include src="detalleComision.xhtml" id="ctModal4" />
        </p:dialog>


        <p:dialog header="Trámites del ejecutor en la comisión"
                  widgetVar="tramitesEjecutorComisionModalWV" modal="true"
                  dynamic="true" appendToBody="true" resizable="true" position="center"
                  height="500" width="900">
            <ui:include src="tramitesDeEjecutorComision.xhtml" id="ctModal8" />
        </p:dialog>


        <p:dialog header="Comisión guardada exitosamente"
                  widgetVar="comisionSuccessWV" modal="true" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="65"
                  width="475">
            <h:form id="comisionSuccessForm">
                <h:panelGrid columns="2" cellspacing="3">
                    <h:outputLabel
                        value="La comisión se generó exitosamente. Número de comisión: "
                        styleClass="outputLabelStyle" />
                    <h:outputLabel
                        value="#{manejoComisionesTramites.nuevaComision.numero}"
                        styleClass="outputTextStyle" />
                </h:panelGrid>
                <p:panel>
                    <p:spacer width="200" height="0" />
                    <p:commandButton value="Aceptar" icon="ui-icon-check"
                                     title="Aceptar" oncomplete="comisionSuccessWV.hide()" />
                </p:panel>
            </h:form>
        </p:dialog>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" dynamic="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallesPredioWV" />
                <ui:param name="detallePredioFormIdParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Comisiones asociadas al trámite"
                  widgetVar="comisionesTramiteWV" modal="true"
                  dynamic="true" appendToBody="true" resizable="true" position="center"
                  height="400" width="800">
            <ui:include src="comisionesAsociadasTramite.xhtml">
                <ui:param name="thisWVNameParam"
                          value="comisionesTramiteWV" />
                <ui:param name="visorMemoWVNameParam"
                          value="visorMemoComisionEfectivaWV" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Resultado de la visita" dynamic="true"
                  widgetVar="resultadoVisitaDialogWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="350" width="800">
            <ui:include src="resultadoVisitaComisionResumen.xhtml" >
                <ui:param name="comisionTramiteParam"
                          value="#{tramitesDeComision.selectedComisionTramiteCT}" />
                <ui:param name="thisWVNameParam"
                          value="resultadoVisitaDialogWV" />
                <ui:param name="detallesTramiteVentanaWVParam"
                          value="detalleTramiteEjecutarWV" />
                <ui:param name="componentesActualizarVentDetallesTramParam"
                          value=":detalleTramiteEjecutarForm" />
                <ui:param name="detallesSolicitudVentanaWVParam"
                          value="detalleSolicitudWV" />
                <ui:param name="componentesActualizarVentDetallesSolicParam"
                          value=":detalleSolicitudEjecutarForm" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Predios del trámite" id="prediosTramiteDialog"
                  widgetVar="prediosTramiteWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="400" width="400">
            <ui:include src="/conservacion/prediosDeTramite.xhtml">
                <ui:param name="listaPrediosDelTramiteParam"
                          value="#{consultaPredio.prediosDeTramiteEnglobe}" />
                <ui:param name="detallesPredioDialogWVParam" value="detallesPredioWV" />
                <ui:param name="thisWVParam" value="prediosTramiteWV" />
            </ui:include>
        </p:dialog>


        <!--   ....................  composite components   ........................   -->

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC"
                                 useJustPropTab="true" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <!--D: este se incluye porque se necesita en la de detalles del trámite  -->
        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />


        <misc:visualizadorMemorandosCC
            id="viewReport"
            thisWVName="visorReporteWV"
            urlDocumento="#{manejoComisionesTramites.reporteMemorandoComision.urlWebReporte}"
            fileContent="#{manejoComisionesTramites.reporteMemorandoComision.streamedContentReporte}"
            documentoGenerado="#{manejoComisionesTramites.reporteMemorandoComision ne null}"
            radicarButtonVisible="false"
            componentsToUpdateOnClose=":manejoComisionesTramitesForm:manejoComisionesTramitesTV:resultsComisGenerMemoDT"
            />

        <misc:visualizadorMemorandosCC
            id="viewMemoComisionEfectiva"
            thisWVName="visorMemoComisionEfectivaWV"
            urlDocumento="#{tramitesDeComision.reporteMemorandoComisionEfectiva.urlWebReporte}"
            fileContent="#{tramitesDeComision.reporteMemorandoComisionEfectiva.streamedContentReporte}"
            documentoGenerado="#{tramitesDeComision.reporteMemorandoComisionEfectiva ne null}"
            radicarButtonVisible="false"
            />


        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define>

</ui:composition>